summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeremy Huddleston <eradicator@gentoo.org>2004-07-24 06:37:23 +0000
committerJeremy Huddleston <eradicator@gentoo.org>2004-07-24 06:37:23 +0000
commitef849e391fe788b04c6fd1f22a97cc47d8b13b64 (patch)
tree965b0b75e06f91719801d32a6282e47a991ab549 /net-nds/ypbind/files
parentimplemented a nsfw (offensive) USE flag to allow users to explicitly enable q... (diff)
downloadhistorical-ef849e391fe788b04c6fd1f22a97cc47d8b13b64.tar.gz
historical-ef849e391fe788b04c6fd1f22a97cc47d8b13b64.tar.bz2
historical-ef849e391fe788b04c6fd1f22a97cc47d8b13b64.zip
Revision bump to fix init scripts. Now depending on domainname to set ypdomainname. Stable x86, sparc, amd64.
Diffstat (limited to 'net-nds/ypbind/files')
-rw-r--r--net-nds/ypbind/files/digest-ypbind-1.17.2-r11
-rw-r--r--net-nds/ypbind/files/ypbind.confd-r14
-rw-r--r--net-nds/ypbind/files/ypbind.initd37
3 files changed, 42 insertions, 0 deletions
diff --git a/net-nds/ypbind/files/digest-ypbind-1.17.2-r1 b/net-nds/ypbind/files/digest-ypbind-1.17.2-r1
new file mode 100644
index 000000000000..875769fa1d46
--- /dev/null
+++ b/net-nds/ypbind/files/digest-ypbind-1.17.2-r1
@@ -0,0 +1 @@
+MD5 0cffc59ead490f0e03c3cb453e1c92e1 ypbind-mt-1.17.2.tar.bz2 157503
diff --git a/net-nds/ypbind/files/ypbind.confd-r1 b/net-nds/ypbind/files/ypbind.confd-r1
new file mode 100644
index 000000000000..91cdc60c1030
--- /dev/null
+++ b/net-nds/ypbind/files/ypbind.confd-r1
@@ -0,0 +1,4 @@
+# Config file for /etc/init.d/ypbind
+
+# Set any command line options you want to pass to ypbind.
+YPBIND_OPTS=""
diff --git a/net-nds/ypbind/files/ypbind.initd b/net-nds/ypbind/files/ypbind.initd
new file mode 100644
index 000000000000..4e5c245c07db
--- /dev/null
+++ b/net-nds/ypbind/files/ypbind.initd
@@ -0,0 +1,37 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-nds/ypbind/files/ypbind.initd,v 1.1 2004/07/24 06:37:23 eradicator Exp $
+
+depend() {
+ need net portmap domainname
+ use ypserv
+}
+
+start() {
+ ebegin "Starting ypbind"
+ if [ -n "${YPBIND_OPTS}" ]; then YOPTS="-- ${YPBIND_OPTS}"; fi
+ start-stop-daemon --start --quiet --exec /usr/sbin/ypbind ${YOPTS}
+ if [ -n "$?" ] ; then
+ notfound=1
+ for i in 0 1 2 3 4 5 6 7 8 9
+ do
+ ypwhich &>/dev/null && { notfound=0; break; }
+ sleep 1
+ done
+ if [ $notfound -eq 1 ] ; then
+ eend 1 "No NIS server found"
+ else
+ eend 0
+ fi
+ else
+ eend $?
+ fi
+}
+
+stop() {
+ ebegin "Stopping ypbind"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/ypbind
+ # Remove binding files, if ypbind "forgets" it
+ rm -f /var/yp/binding/*
+}